package com.ama.core.architecture.highlightpro.shape

import android.graphics.Path
import android.graphics.RectF


class RectShape(private val rx: Float = 0f, private val ry: Float = 0f, private val radius: Float = 0f) : HighlightShape(radius) {

    override fun initRect(rectF: RectF) {
        super.initRect(rectF)
        rect?.run {
            path.reset()
            path.addRoundRect(this, rx, ry, Path.Direction.CW)
        }
    }
}